Subject: RE: [midcom] Protocol Eval: 2.2.4 Lifetime extension - DIAMETER

From: "Tom-PT Taylor" <[email-masked]>
Date: Thu, 27 Jun 2002 11:47:27 -0400

I think we'll find that the best match is exactly as I proposed: a DIAMETER
session corresponds to the lifetime of a Policy Rule.  Assuming that this
decision holds up, DIAMETER has all you need to manage lifetimes, as I've
already remarked.  If I am wrong, the mechanisms would have to be redefined
within the DIAMETER/Midcom application, but they would reuse the AVPs
(attribute-value pairs) already defined for session use.  

-----Original Message-----
From: Martin Stiemerling [mailto:[email-masked]]
Sent: Wednesday, June 26, 2002 6:31 AM
To: Barnes, Mary [NGC:B602:EXCH]
Cc: [email-masked]
Subject: Re: [midcom] Protocol Eval: 2.2.4 Lifetime extension - DIAMETER

Mary Barnes wrote:
> Hi Martin,
> 
> I don't see that the DIAMETER proposal is suggesting anything new to
support
> this Lifetime extension.  My understanding is that the DIAMETER proposal
> does not depend upon this association of a DIAMETER session with a MIDCOM
> session and I think the DIAMETER proposal is clearly suggesting otherwise.
> There is text in the overview section 1.4.1 that specifies that "Each
> application provides its own definition of the semantics of a session". 

This definition is OK, but please see below.

> 
> This is open for discussion, but at this time, the only change I would
agree
> to make would be to clearly spell out in section 1.4.2 that this
evaluation
> of DIAMETER associates the DIAMETER session with the lifetime of a MIDCOM
> Policy Rule. 

I've just read the first pages of the diameter draft (Version -11) again 
and have seen that there a multiple session definitions: Multi-Session, 
Session and Sub-Session. What is now related to what? Here is again a 
clarification needed by the authors. One idea may be to use Sessions for 
groups and sub-sessions for policy rules and how about linking one 
multi-session to a MIDCOM session?

> 
> Mary. 
> 
> -----Original Message-----
> From: Martin Stiemerling [mailto:[email-masked]]
> Sent: Monday, June 24, 2002 7:33 AM
> To: [email-masked]
> Subject: [midcom] Protocol Eval: 2.2.4 Lifetime extension
> 
> 
> - DIAMETER
> "The Diameter concept of a session includes the session lifetime, grace 
> period, and lifetime extension. It may make sense to associate the 
> Diameter session with the lifetime of a Midcom Policy Rule, in which 
> case support for lifetime extension comes ready-made."
> 
> Doesn't it make more sense to associate a DIAMETER session with MIDCOM 
> session? This a big question to me! Anyway the compliance would be at 
> least only 'P+' since the lifetime extension of a rule is not directly 
> available.
> 

-- 
Martin Stiemerling

NEC Europe Ltd. -- Network Laboratories  [email-masked]
IPv4: http://www.ccrle.nec.de  IPv6: http://www.ipv6.ccrle.nec.de

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom